package My::LogDispatch::Email;

use strict;

use Data::Dumper;
use Log::Dispatch::Email;
use base qw( Log::Dispatch::Email );

#=begin
sub send_email { 
    my $self = shift;
    my %p = @_; warn Dumper %p;

    # Send email somehow.  Message is in $p{message}
    my %mail = (

    );
}
#=cut

=begin

use Log::Dispatch::Output;
use base qw( Log::Dispatch::Output );

sub new {
    my $proto = shift; warn Dumper 'proto:'.$proto;
    my %p = @_; warn Dumper \%p;

    my $class = ref $proto || $proto;

    my $self = bless {}, $class;

    $self->_basic_init(%p); 

    # Do more if you like
  }

sub log_message { warn
    my $self = shift; 
    my %p = @_;

    # Do something with message in $p{message}
}
=cut

1;